org.apache.http.entity.mime

## Class MIME

- java.lang.Object
- - org.apache.http.entity.mime.MIME

    public final class MIME
    extends Object

Since:
  4.0

### Field Summary

Fields
`static String` `CONTENT_DISPOSITION`
`static String` `CONTENT_TRANSFER_ENC`
`static String` `CONTENT_TYPE`
`static Charset` `DEFAULT_CHARSET` The default character set to be used, i.e.
`static String` `ENC_8BIT`
`static String` `ENC_BINARY`
`static Charset` `UTF8_CHARSET` UTF-8 is used for RFC6532

### Constructor Summary

Constructors
Constructor and Description
`MIME()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONTENT_TYPE

    public static final String CONTENT_TYPE

See Also:
  Constant Field Values

#### CONTENT_TRANSFER_ENC

    public static final String CONTENT_TRANSFER_ENC

See Also:
  Constant Field Values

#### CONTENT_DISPOSITION

    public static final String CONTENT_DISPOSITION

See Also:
  Constant Field Values

#### ENC_8BIT

    public static final String ENC_8BIT

See Also:
  Constant Field Values

#### ENC_BINARY

    public static final String ENC_BINARY

See Also:
  Constant Field Values

#### DEFAULT_CHARSET

    public static final Charset DEFAULT_CHARSET

The default character set to be used, i.e. "US-ASCII"

#### UTF8_CHARSET

    public static final Charset UTF8_CHARSET

UTF-8 is used for RFC6532

### Constructor Detail

#### MIME

    public MIME()